#!/bin/bash

# Get the path of the location of the script. This is needed when running the script from other directories.
DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)

# test 1 - run single test
#pytest --durations=0 --disable-pytest-warnings test_hwcert.py::test_run_hwcert_info -v --junitxml=/tmp/hwcert_report/hwcert_info_test.xml

# test 2 - run single test
#pytest --durations=0 --disable-pytest-warnings test_hwcert.py::test_run_hwcert_self_check -v --junitxml=/tmp/hwcert_report/hwcert_self_check_test.xml

# test 3 run all tests marked as non-interactive
pytest --durations=0 --disable-pytest-warnings -v -m  hwcert_test_non_int $DIR/test_hwcert.py --junitxml=/tmp/hwcert_report/hwcert_run_non_int.xml

# test 4 run all tests marked as ethernet
#pytest --durations=0 --disable-pytest-warnings -v -m  hwcert_test_ethernet $DIR/test_ethernet.py --junitxml=/tmp/hwcert_report/hwcert_run_ethernet.xml
